m5flow version 1.0.0 issues opening previously saved files



  • Version 1.0 is no longer successfully opening previously made files as blocks. On a few of the older saved files from version 0.7.0 the blocks load but they are illegible. On more recently saved files such as version 0.8 and 0.9 there are no blocks at all. Unlike version 0.9.1 which worked well this version is once again giving float to int errors as well. This is unfortunate. Hopefully you can fix these problems right away. I don't want to be all negative so I will say the interface is nicely streamlined in this latest version. Also what happened to all the sample files they are no longer available in this version.


  • M5Stack

    Hi Jpilarski,

    Sorry for the inconvenience and thanks for pointing this issue out. We are aware of the problem
    and are working on a fix to support legacy files which will be out in the next few days. Thanks for the
    support any comments or suggestions for improvement? What do you mean by samples? examples?



  • The samples I was referring to was the 4 or 6 files you had previously provided in uiflow. I believe you were building a collection of sample files accessible through the interface for educational use. I know there was a weather example ( this was the first sample), recently you added a neopixel example, a remote example and a few other examples but I no longer see links to them in version 1.0.0


  • M5Stack

    Got you

    They will be back for sure don't worry, its just a temporary thing due to a rearranging of the interface
    likely in the next few days or next week they will be back and we will be adding more examples



  • I had a similar problem trying to open older files, with the blocks displaying in a broken way. I found that I had renamed them, and naming them back after the convention main_0000000000000.m5f caused them to load correctly.



  • Is there a new firmware for 1.0.0? I was previously using v0.9.0 and I can no longer get Flow to connect to my m5stack. I see the API KEY and the dot is green in the upper right corner of the UI, but I'm just getting this message when trying to upload:

    "Upload code failed, maybe your device is offline check it and retry."

    The firmware here is really old: https://github.com/m5stack/M5Cloud/tree/master/firmwares



  • hello, you can download on http://flow.m5stack.com/ setting



  • @heybinm5flow version 1.0.0 issues opening previously saved files 中说:

    hello, you can download on http://flow.m5stack.com/ setting

    I'm on a Mac and it's not working for me.
    I download the zip and extract it. I get this error.
    0_1544154083507_Screen Shot 2018-12-06 at 10.41.03 PM.png

    Looking at the package contents, the firmware only goes up to v0.8.2 in the file M5Burner_MacOS.zip
    0_1544154149208_Screen Shot 2018-12-06 at 10.42.04 PM.png

    Please update it with the latest firmware so I can flash v1.0.



  • @world101m5flow version 1.0.0 issues opening previously saved files 中说:

    @heybinm5flow version 1.0.0 issues opening previously saved files 中说:

    hello, you can download on http://flow.m5stack.com/ setting

    I'm on a Mac and it's not working for me.
    I download the zip and extract it. I get this error.
    0_1544154083507_Screen Shot 2018-12-06 at 10.41.03 PM.png

    Looking at the package contents, the firmware only goes up to v0.8.2 in the file M5Burner_MacOS.zip
    0_1544154149208_Screen Shot 2018-12-06 at 10.42.04 PM.png

    Please update it with the latest firmware so I can flash v1.0.

    I'm also getting the damaged error.


  • M5Stack

    Hi guys I just had the link updated to mac burner with firmware v1.0. The damaged error is actually an issue related to os high sierra and mojave new versions blocking apps from 3rd party developers, open a terminal and input this command to resolve it: sudo spctl --master-disable.

    A mac burner which will auto-update to the latest firmware and is compatible with all current OS without needing to change anything is being worked on but progress is slow, sorry about this guys hopefully it will be ready before the end of the month.



  • @lukasmaximus

    Thanks for the update. After downloading the new file and running the command "sudo spctl --master-disable" in Terminal, M5Burner flashed 1.0.0 successfully. Flow UI is connecting now.



  • @lukasmaximusm5flow version 1.0.0 issues opening previously saved files 中说:

    Hi guys I just had the link updated to mac burner with firmware v1.0. The damaged error is actually an issue related to os high sierra and mojave new versions blocking apps from 3rd party developers, open a terminal and input this command to resolve it: sudo spctl --master-disable.

    A mac burner which will auto-update to the latest firmware and is compatible with all current OS without needing to change anything is being worked on but progress is slow, sorry about this guys hopefully it will be ready before the end of the month.

    I don't have High sierra or mojave!
    I havent updated in ages and still on Old Sierra


  • M5Stack

    @ajb2k3 I have updated with the very latest version of the burner which fixes some bugs. Please let me know if it works for you or not.


登录后回复
 

与 M5Stack Community 的连接断开,我们正在尝试重连,请耐心等待